<?php

require_once("CategorieMetier.php");

//Récupération d'une catégorie à partir d'un identifiant
$categorie = CategorieMetier::initCategorieMetier(1);
echo "<p>Catégorie numéro 1</p>";
echo $categorie;


echo "<br />";

//Création d'une nouvelle catégorie
echo "<p>Catégorie créée</p>";
$categorie2 = new CategorieMetier();
$categorie2->setId_categorie($categorie2->getNbCategories()+1);
$categorie2->setRobe_bouteille('Blanc');
$categorie2->setSucrage_bouteille('Liquoreux');
$categorie2->setType_bouteille('Vin Cuit');
$categorie2->setNouveau(TRUE);
echo $categorie2;


echo "<br />";


//Enregistrement de la catégorie dans la bdd
echo "<p>Catégorie enregistrée</p>";
$categorie2->save();
echo $categorie2;


//Récupération de la catégorie 15 sauvegardé puis supprimée
try {
    $categorie15 = CategorieMetier::initCategorieMetier(15);
    echo "<p>Catégorie numéro 15 après sauvegarde et récupération</p>";
    echo($categorie15);

    $categorie15->delete();
    echo "<p>Catégorie numéro 15 après suppression</p>";
    echo($categorie15);
    echo "<p>L'instance existe toujours mais n'a plus de pendant coté SGBD</p>";

    echo "<p>Tentative d'initialisation d'une catégorie inexistante</p>";
    $categorie15Test = CategorieMetier::initCategorieMetier(15);
    if (isset($categorie15Test))
        echo( $categorie15Test);
} catch (Exception $e) {
    print $e;
}


//Edition de la catégorie 5
$Categorie5 = CategorieMetier::initCategorieMetier(5);
echo "<p>Catégorie numéro 5 avant édition</p>";
echo $Categorie5;
$Categorie5->setRobe_bouteille('Rosé');
$Categorie5->save();
echo "<p>Catégorie numéro 5 après édition et sauvegarde</p>";
echo $Categorie5;

?>